#
# spec file for package python3-zipstream
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-zipstream
Version:        1.1.4
Release:        1.2
Url:            https://pypi.python.org/pypi/zipstream
Summary:        Zipfile generator
License:        GPL-3.0+
Group:          Development/Languages/Python
Source:      	zipstream-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel >= 3.4.1
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
zipstream.py is a zip archive generator based on python 3.3's zipfile.py.
It was created to generate a zip file generator for streaming (ie web apps).
This is beneficial for when you want to provide a downloadable archive of a
large collection of regular files, which would be infeasible to generate the
archive prior to downloading or of a very large file that you do not want
to store entirely on disk or on memory.

%prep
%setup -q -n zipstream-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Fri Jul  1 2016 andrea@opensuse.org
- new package
